'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

exports.get = get;
exports.patch = patch;
exports.post = post;
exports.put = put;
exports.call = call;

var _http = require('./http');

var _http2 = _interopRequireDefault(_http);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var OPTIONS = {
  method: 'GET',
  body: null,
  authenticated: true
};

function get(url, authenticated) {
  return (0, _http2.default)(url, _extends({}, OPTIONS, {
    authenticated: authenticated
  }));
}

function patch(url, body, authenticated) {
  return (0, _http2.default)(url, _extends({}, OPTIONS, {
    authenticated: authenticated,
    body: body,
    method: 'PATCH'
  }));
}

function post(url, body, authenticated) {
  return (0, _http2.default)(url, _extends({}, OPTIONS, {
    authenticated: authenticated,
    body: body,
    method: 'POST'
  }));
}

function put(url, body, authenticated) {
  return (0, _http2.default)(url, _extends({}, OPTIONS, {
    authenticated: authenticated,
    body: body,
    method: 'PUT'
  }));
}

function call(url, method, body, authenticated) {
  return (0, _http2.default)(url, _extends({}, OPTIONS, {
    authenticated: authenticated,
    body: body,
    method: method
  }));
}